Package com.macrofocus.high_d.distributions.swing

# Class SwingDistributionsView<Row,Column,Value,Bin>

java.lang.Object
com.macrofocus.high_d.distributions.AbstractDistributionsView<JLayeredPane,Color,Row,Column,Value,Bin>
com.macrofocus.high_d.distributions.swing.SwingDistributionsView<Row,Column,Value,Bin>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JLayeredPane>`, `com.macrofocus.crossplatform.CPInteractiveComponent<JLayeredPane>`, `DistributionsView<JLayeredPane,Color,Row,Column,Value,Bin>`

public class SwingDistributionsView<Row,Column,Value,Bin> extends AbstractDistributionsView<JLayeredPane,Color,Row,Column,Value,Bin>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.distributions.DistributionsView

  `DistributionsView.Orientation, DistributionsView.PropertyType`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.distributions.AbstractDistributionsView

  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingDistributionsView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `protected com.macrofocus.high_d.axis.AxisHeaderView`
  `createAxisHeaderView(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `List<Bin>`
  `getBins(com.macrofocus.geom.Rectangle2D rect)`
  `Bin`
  `getClosestBin(int x, int y)`
  `com.macrofocus.molap.subset.DistributionDimension<Row,Value,Bin>`
  `getClosestDistribution(int x, int y)`
  `Row`
  `getClosestRow(int x, int y)`
  `protected DistributionsComponent`
  `getDistributionsComponent()`
  `JButton`
  `getHeader(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `JLayeredPane`
  `getNativeComponent()`
  `protected void`
  `refresh()`
  `void`
  `removeMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `removeMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.distributions.AbstractDistributionsView

  `getAntialiasing, getColorTheme, getDistributionDimension, getInteractionMode, getModel, getOrientation, getProbing, getRendering, getRubberBand, getShowFiltered, getShowTiming, isSelectionMode, removeBinnedDimension, setAntialiasing, setColorTheme, setInteractionMode, setModel, setRendering, setSelectionMode, setShowFiltered, setShowTiming`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingDistributionsView

    public SwingDistributionsView()

- ## Method Details

  - ### getDistributionsComponent

    protected DistributionsComponent getDistributionsComponent()
    Specified by:
      `getDistributionsComponent` in class `AbstractDistributionsView<JLayeredPane,Color,Row,Column,Value,Bin>`

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### addMouseListener

    public void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    public void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### removeMouseListener

    public void removeMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### removeMouseMotionListener

    public void removeMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### getNativeComponent

    public JLayeredPane getNativeComponent()

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractDistributionsView<JLayeredPane,Color,Row,Column,Value,Bin>`

  - ### getHeader

    public JButton getHeader(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### createAxisHeaderView

    protected com.macrofocus.high_d.axis.AxisHeaderView createAxisHeaderView(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### getClosestDistribution

    public com.macrofocus.molap.subset.DistributionDimension<Row,Value,Bin> getClosestDistribution(int x, int y)

  - ### getClosestBin

    public Bin getClosestBin(int x, int y)

  - ### getBins

    public List<Bin> getBins(com.macrofocus.geom.Rectangle2D rect)

  - ### getClosestRow

    public Row getClosestRow(int x, int y)

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)